qemu-block-iscsi-2.9.1-35.1.x86_64.rpm


Advertisement

Description

qemu-block-iscsi - Universal CPU emulator -- iSCSI block support

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package filename qemu-block-iscsi-2.9.1-35.1.x86_64.rpm
Package name qemu-block-iscsi
Package version 2.9.1
Package release 35.1
Package architecture x86_64
Package type rpm
Category System/Emulators/PC
Homepage http://www.qemu.org/
License BSD-3-Clause and GPL-2.0 and GPL-2.0+ and LGPL-2.1+ and MIT
Maintainer -
Download size 128.13 KB
Installed size 35.14 KB
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.
This sub-package contains a module for accessing network-based image files
over an iSCSI network connection from qemu-img tool and QEMU system emulation.

Alternatives

Package Version Architecture Repository
qemu-block-iscsi-2.9.1-59.1.x86_64.rpm 2.9.1 x86_64 openSUSE Update Oss
qemu-block-iscsi-2.9.1-56.1.x86_64.rpm 2.9.1 x86_64 openSUSE Update Oss
qemu-block-iscsi-2.9.1-53.1.x86_64.rpm 2.9.1 x86_64 openSUSE Update Oss
qemu-block-iscsi-2.9.1-50.1.x86_64.rpm 2.9.1 x86_64 openSUSE Update Oss
qemu-block-iscsi-2.9.1-47.1.x86_64.rpm 2.9.1 x86_64 openSUSE Update Oss
qemu-block-iscsi-2.9.1-44.1.x86_64.rpm 2.9.1 x86_64 openSUSE Update Oss
qemu-block-iscsi-2.9.1-41.1.x86_64.rpm 2.9.1 x86_64 openSUSE Update Oss
qemu-block-iscsi-2.9.1-38.1.x86_64.rpm 2.9.1 x86_64 openSUSE Update Oss
qemu-block-iscsi-2.9.0-32.4.x86_64.rpm 2.9.0 x86_64 openSUSE Update Oss
qemu-block-iscsi-2.9.0-30.1.x86_64.rpm 2.9.0 x86_64 openSUSE Oss
qemu-block-iscsi - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libglib-2.0.so.0()(64bit) -
libiscsi.so.7()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -

Provides

Name Value
block-iscsi.so()(64bit) -
qemu-block-iscsi = 2.9.1-35.1
qemu-block-iscsi(x86-64) = 2.9.1-35.1

Conflicts

Name Value
qemu < 2.9.1-35.1
qemu > 2.9.1-35.1
qemu-tools < 2.9.1-35.1
qemu-tools > 2.9.1-35.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package qemu-block-iscsi-2.9.1-35.1.x86_64.rpm
Source Package qemu-2.9.1-35.1.src.rpm

Install Howto

Install qemu-block-iscsi rpm package:

# zypper install qemu-block-iscsi

Files

Path
/usr/lib64/qemu/block-iscsi.so

Changelog

2017-10-19 - brogers@suse.com
- Add announcement in support docs about qed storage format no
longer being supported in next major SLE release (SLE15)
(fate#324200)
- Address various security/stability issues
* Fix DoS in I/O channel websockets (CVE-2017-15268 bsc#1062942)
0061-io-monitor-encoutput-buffer-size-fr.patch
* Fix OOB access in cirrus vga device emulation (CVE-2017-15289
bsc#1063122)
0062-cirrus-fix-oob-access-in-mode4and5-.patch
* Fix information leak in 9pfs interface (CVE-2017-15038 bsc#1062069)
0063-9pfs-use-g_malloc0-to-allocate-spac.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP3
2017-10-11 - fli@suse.com
- Address various security issues
* Fix xen/blkif responses leak stack data (CVE-2017-10911 bsc#1057378)
0056-xen-disk-don-t-leak-stack-data-via-.patch
* Fix crash when ide flushes empty CDROM drives (CVE-2017-12809 bsc#1054724)
0057-IDE-Do-not-flush-empty-CDROM-drives.patch
0058-IDE-test-flush-on-empty-CDROM.patch
* Fix OOB access while loading kernel via multiboot image (CVE-2017-14167 bsc#1057585)
0059-multiboot-validate-multiboot-header.patch
* Fix OOB read access during vga display update (CVE-2017-13672 bsc#1056334)
0060-vga-stop-passing-pointers-to-vga_dr.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP3
2017-09-21 - brogers@suse.com
- Fix case of not being able to build from rpm sources due to
undefined macro (boo#1057966)
- Fix typo in supported.s390.txt
2017-09-08 - lyan@suse.com
- Updated to v2.9.1, a bug-fix-only release
* Updated version carries fixes for the following reported issues:
CVE-2017-13711 bsc#1056291
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-
SP3
* Patches dropped:
0049-ACPI-don-t-call-acpi_pcihp_device_p.patch
0051-input-limit-kbd-queue-depth.patch
0052-audio-release-capture-buffers.patch
0053-scsi-avoid-an-off-by-one-error-in-m.patch
0054-vmw_pvscsi-check-message-ring-page-.patch
0055-9pfs-local-forbid-client-access-to-.patch
0059-Hacks-for-building-on-gcc-7-Fedora-.patch
0060-9pfs-local-fix-unlink-of-alien-file.patch
0061-megasas-do-not-read-DCMD-opcode-mor.patch
0063-nbd-Fully-initialize-client-in-case.patch
0064-9pfs-local-remove-use-correct-path-.patch
0065-hid-Reset-kbd-modifiers-on-reset.patch
0066-input-Decrement-queue-count-on-kbd-.patch
0067-xhci-only-update-dequeue-ptr-on-com.patch
0068-vnc-Set-default-kbd-delay-to-10ms.patch
0069-qemu-nbd-Ignore-SIGPIPE.patch
0070-usb-redir-fix-stack-overflow-in-usb.patch
0071-exec-use-qemu_ram_ptr_length-to-acc.patch
0073-xen-mapcache-store-dma-information-.patch
0074-exec-Add-lock-parameter-to-qemu_ram.patch
* Patches renamed:
0050-i386-Allow-cpuid-bit-override.patch
- > 0049-i386-Allow-cpuid-bit-override.patch
0056-jazz_led-fix-bad-snprintf.patch
- > 0050-jazz_led-fix-bad-snprintf.patch
0057-slirp-smb-Replace-constant-strings-.patch
- > 0051-slirp-smb-Replace-constant-strings-.patch
0058-altera_timer-fix-incorrect-memset.patch
- > 0052-altera_timer-fix-incorrect-memset.patch
0062-megasas-always-store-SCSIRequest-in.patch
- > 0053-megasas-always-store-SCSIRequest-in.patch
0072-slirp-check-len-against-dhcp-option.patch
- > 0054-slirp-check-len-against-dhcp-option.patch
0075-Replace-struct-ucontext-with-uconte.patch
- > 0055-Replace-struct-ucontext-with-uconte.patch
2017-08-24 - brogers@suse.com
- Fix package build failure as of glibc v2.26 update in Factory
(boo#1055587)
0075-Replace-struct-ucontext-with-uconte.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
2017-08-21 - schwab@suse.de
- Remove redundant prerequire for pwdutils
2017-08-18 - brogers@suse.com
- Postrequire acl for setfacl
2017-08-16 - schwab@suse.de
- Prerequire shadow for groupadd

See Also

Package Description
qemu-block-rbd-2.9.0-32.4.x86_64.rpm Universal CPU emulator -- Ceph (rbd) block support
qemu-block-rbd-2.9.1-35.1.x86_64.rpm Universal CPU emulator -- Ceph (rbd) block support
qemu-block-rbd-2.9.1-38.1.x86_64.rpm Universal CPU emulator -- Ceph (rbd) block support
qemu-block-rbd-2.9.1-41.1.x86_64.rpm Universal CPU emulator -- Ceph (rbd) block support
qemu-block-rbd-2.9.1-44.1.x86_64.rpm Universal CPU emulator -- Ceph (rbd) block support
qemu-block-rbd-2.9.1-47.1.x86_64.rpm Universal CPU emulator -- Ceph (rbd) block support
qemu-block-rbd-2.9.1-50.1.x86_64.rpm Universal CPU emulator -- Ceph (rbd) block support
qemu-block-rbd-2.9.1-53.1.x86_64.rpm Universal CPU emulator -- Ceph (rbd) block support
qemu-block-rbd-2.9.1-56.1.x86_64.rpm Universal CPU emulator -- Ceph (rbd) block support
qemu-block-rbd-2.9.1-59.1.x86_64.rpm Universal CPU emulator -- Ceph (rbd) block support
qemu-block-ssh-2.9.0-32.4.x86_64.rpm Universal CPU emulator -- SSH block support
qemu-block-ssh-2.9.1-35.1.x86_64.rpm Universal CPU emulator -- SSH block support
qemu-block-ssh-2.9.1-38.1.x86_64.rpm Universal CPU emulator -- SSH block support
qemu-block-ssh-2.9.1-41.1.x86_64.rpm Universal CPU emulator -- SSH block support
qemu-block-ssh-2.9.1-44.1.x86_64.rpm Universal CPU emulator -- SSH block support
Advertisement
Advertisement